<?php

/*
 *     doughnutwedding.com
 *     Copyright (C) 2017  http://doughnutwedding.com eric@doughnutwedding.com
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Sikofitt\DoughnutWeddingBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ImageComment.
 *
 * @ORM\Table(name="image_comment")
 * @ORM\Entity(repositoryClass="Sikofitt\DoughnutWeddingBundle\Repository\ImageCommentRepository")
 */
class ImageComment
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var \Sikofitt\DoughnutWeddingBundle\Entity\User
     *
     * @ORM\ManyToOne(targetEntity="Sikofitt\DoughnutWeddingBundle\Entity\User", inversedBy="imageComment")
     */
    private $user;

    /**
     * @var int
     *
     * @ORM\ManyToOne(targetEntity="Sikofitt\DoughnutWeddingBundle\Entity\Image", inversedBy="comments", cascade={"persist"})
     */
    private $image;

    /**
     * @var string
     *
     * @ORM\Column(type="text", name="comment", nullable=false, unique=false)
     */
    private $comment;

    /**
     * @var int
     *
     * @ORM\Column(name="childComments", type="integer", nullable=true)
     */
    private $childComments;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="created", type="datetime")
     */
    private $created;

    /**
     * @var bool
     *
     * @ORM\Column(name="isChild", type="boolean", nullable=true)
     */
    private $isChild;

    /**
     * Get id.
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set user.
     *
     * @param \Sikofitt\DoughnutWeddingBundle\Entity\User|null $user
     *
     * @return ImageComment
     */
    public function setUser(?User $user): ImageComment
    {
        $this->user = $user;

        return $this;
    }

    /**
     * Get user.
     *
     * @return \Sikofitt\DoughnutWeddingBundle\Entity\User
     */
    public function getUser(): ?User
    {
        return $this->user;
    }

    /**
     * Set comment.
     *
     * @param string $comment
     *
     * @return ImageComment
     */
    public function setComment($comment)
    {
        $this->comment = $comment;

        return $this;
    }

    /**
     * Get comment.
     *
     * @return string
     */
    public function getComment()
    {
        return $this->comment;
    }

    /**
     * Set childComments.
     *
     * @param int $childComments
     *
     * @return ImageComment
     */
    public function setChildComments($childComments)
    {
        $this->childComments = $childComments;

        return $this;
    }

    /**
     * Get childComments.
     *
     * @return int
     */
    public function getChildComments()
    {
        return $this->childComments;
    }

    /**
     * Set created.
     *
     * @param \DateTime $created
     *
     * @return ImageComment
     */
    public function setCreated($created)
    {
        $this->created = $created;

        return $this;
    }

    /**
     * Get created.
     *
     * @return \DateTime
     */
    public function getCreated()
    {
        return $this->created;
    }

    /**
     * Set image.
     *
     * @param int $image
     *
     * @return ImageComment
     */
    public function setImage($image)
    {
        $this->image = $image;

        return $this;
    }

    /**
     * Get image.
     *
     * @return int
     */
    public function getImage()
    {
        return $this->image;
    }

    /**
     * Set isChild.
     *
     * @param bool $isChild
     *
     * @return ImageComment
     */
    public function setIsChild($isChild)
    {
        $this->isChild = $isChild;

        return $this;
    }

    /**
     * Get isChild.
     *
     * @return bool
     */
    public function getIsChild()
    {
        return $this->isChild;
    }
}
