<?php

/*
 *     doughnutwedding.com
 *     Copyright (C) 2017  http://doughnutwedding.com eric@doughnutwedding.com
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Sikofitt\DoughnutWeddingBundle\EventListener;

use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\Routing\Generator\UrlGeneratorInterface;

/**
 * Event listener to redirect /connect to /login.
 *
 * Class RedirectFromHwiConnectPageEvent
 */
class RedirectFromHwiConnectPageEvent
{
    /**
     * @var \Symfony\Component\Routing\Generator\UrlGeneratorInterface
     */
    private $router;

    /**
     * @var \Symfony\Component\DependencyInjection\ContainerInterface
     */
    private $container;

    /**
     * RedirectFromHwiConnectPageEvent constructor.
     *
     * @param \Symfony\Component\Routing\Generator\UrlGeneratorInterface $router
     * @param \Symfony\Component\DependencyInjection\ContainerInterface  $container
     */
    public function __construct(UrlGeneratorInterface $router, ContainerInterface $container)
    {
        $this->router = $router;
        $this->container = $container;
    }

    /**
     * Since there doesn't seem to be an option to prevent this.
     * Redirect users to the /login page if they hit /connect.
     *
     * @param \Symfony\Component\HttpKernel\Event\GetResponseEvent $event
     */
    public function onKernelRequest(GetResponseEvent $event): void
    {/*
        $uri = $this->container->get('request_stack')->getCurrentRequest()->getRequestUri();
        $loginUri = $this->router->generate('fos_user_security_login');
        $connectRoute = $this->router->generate('hwi_oauth_connect');

        if(0 === (int) strcmp($uri, $connectRoute)) {
            $event->setResponse(new RedirectResponse($loginUri, 301));
        }
*/
    }
}
