<?php

/*
 *     doughnutwedding.com
 *     Copyright (C) 2017  http://doughnutwedding.com eric@doughnutwedding.com
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Sikofitt\DoughnutWeddingBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints as Assert;
use Vich\UploaderBundle\Form\Type\VichImageType;

class GalleryUploadType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $image = new Assert\Image();

        $builder->add('imageFile', VichImageType::class, [
      'label_attr' => [
        'class' => 'uk-form-label uk-visible@m',
        'id' => 'file-field-label',
        'style' => 'margin-right:14px;',
      ],

      'attr' => [
        'class' => 'uk-padding-small',
        'accept' => '.jpg,.jpeg,.png,.gif,.tiff',
      ],
      'constraints' => [
        new Assert\Image(),
      ],
    ])
      ->add('description', TextareaType::class, [
        'required' => false,
        'label' => 'Description of image.',
        'attr' => [
          'rows' => 4,
          'class' => 'uk-textarea uk-form-large uk-padding-small uk-margin-small-bottom',
          'placeholder' => 'Description of image',
        ],
        'label_attr' => [
          'class' => 'uk-form-label uk-visible@m',
        ],
      ])
      ->add('tags', CollectionType::class, [
        'required' => false,
        'entry_type' => TextType::class,
        'entry_options' => [
          'attr' => [
            'class' => 'uk-input uk-form-large uk-width-medium uk-margin-small-bottom',
            'placeholder' => 'Enter tag',
          ],
        ],
        'allow_add' => true,
        'allow_delete' => true,
        'label_attr' => [
          'class' => 'uk-form-label uk-visible@m',
        ],
        'attr' => [
          'class' => 'uk-input uk-form-large uk-padding-small',
        ],
      ])
      ->add('category', TextType::class, [
        'required' => false,
        'label_attr' => [
          'class' => 'uk-form-label uk-visible@m',
        ],
        'attr' => [
          'class' => 'uk-input uk-form-large uk-padding-small uk-margin-small-bottom',
          'placeholder' => 'Add category',
        ],
      ]);
    }
}
