<?php

/*
 *     doughnutwedding.com
 *     Copyright (C) 2017  http://doughnutwedding.com eric@doughnutwedding.com
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Sikofitt\DoughnutWeddingBundle\Repository;

use Doctrine\ORM\EntityRepository;
use Sikofitt\DoughnutWeddingBundle\Entity\Image;

/**
 * ImageRepository.
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class ImageRepository extends EntityRepository
{
    /**
   * @return array|null
   */
  public function findAllSortedByUpdatedAtDesc(): ?array
  {
      return $this
      ->getEntityManager()
      ->createQueryBuilder()
      ->select('i')
      ->from(Image::class, 'i')
      ->orderBy('i.updatedAt', 'DESC')
      ->getQuery()
      ->getResult();
  }

  /**
   * @param string $tag
   *
   * @return array
   */
  public function findImageByTag(string $tag): array
  {
      $images = $this->getEntityManager()
      ->createQueryBuilder()
      ->select('i')
      ->from(Image::class, 'i')
      ->orderBy('i.updatedAt', 'DESC')
      ->where('i.tags LIKE :tag')
      ->setParameter('tag', '%'.$tag.'%')
      ->getQuery()
      ->getResult();

    /**
     * @var int   $key
     * @var Image $image
     */
    foreach ($images as $key => $image) {
        if (false === in_array($tag, $image->getTags(), true)) {
            unset($images[$key]);
        }
    }

      return $images;
  }

    public function findImageByCategory(string $category): array
    {
        return $this
      ->getEntityManager()
      ->createQueryBuilder()
      ->select('i')
      ->from(Image::class, 'i')
      ->orderBy('i.updatedAt', 'DESC')
      ->where('i.category =:category')
      ->setParameter('category', $category)
      ->getQuery()
      ->getResult();
    }
}
