<?php

/*
 *     doughnutwedding.com
 *     Copyright (C) 2017  http://doughnutwedding.com eric@doughnutwedding.com
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Sikofitt\DoughnutWeddingBundle\Security;

use ParagonIE_Sodium_Compat as SodiumCompat;
use Symfony\Component\Security\Csrf\TokenGenerator\TokenGeneratorInterface;

/**
 * Class TokenGenerator.
 */
class TokenGenerator implements TokenGeneratorInterface
{
    public function __toString()
    {
        return $this->generateToken();
    }

    /**
     * Generates a reset or user token.
     *
     * @return string The generated token
     */
    public function generateToken()
    {
        $randomBytes = substr(
            SodiumCompat::randombytes_buf(512),
            random_int(SodiumCompat::CRYPTO_GENERICHASH_BYTES, 512),
            SodiumCompat::CRYPTO_GENERICHASH_BYTES_MAX
        );

        $rawToken = SodiumCompat::crypto_generichash(
            $randomBytes,
            SodiumCompat::randombytes_buf(
                SodiumCompat::CRYPTO_GENERICHASH_BYTES_MAX
            ),
            32
        );
        $token = SodiumCompat::bin2hex($rawToken);

        return $token;
    }
}
