<?php

/*
 *     doughnutwedding.com
 *     Copyright (C) 2017  http://doughnutwedding.com eric@doughnutwedding.com
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Sikofitt\App\Controller;

use Silex\Api\ControllerProviderInterface;
use Silex\Application;
use Silex\ControllerCollection;

class UserControllerProvider implements ControllerProviderInterface
{
    /**
     * Returns routes to connect to the given application.
     *
     * @param Application $app An Application instance
     *
     * @return ControllerCollection A ControllerCollection instance
     */
    public function connect(Application $app)
    {
        /**
         * @var ControllerCollection $userControllers
         */
        $userControllers = $app['controllers_factory'];
        $app->match('/user', UserController::class.'::indexAction')
            ->method('GET')
            ->bind('user_index');

        $app->match('/user/reset', UserController::class.'::resetAction')
            ->method('GET|POST')
            ->bind('user_reset');
        $app->match('/user/reset/{token}', UserController::class.'::tokenAction')
            ->bind('user_reset_token')
            ->method('GET|POST');
        //->before(new MysqlAuthenticatorMiddleware());
        $app->match('/user/edit', UserController::class.'::editAction')
            ->method('GET|POST')
            ->bind('user_edit');

        return $userControllers;
    }
}
